Show / Hide Table of Contents

# Struct ImFontAtlas

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImFontAtlas

### Fields

| Improve this Doc View Source

#### ConfigData

##### Declaration

    public ImVector ConfigData

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### CustomRectIds

##### Declaration

    public int *CustomRectIds

##### Field Value

Type | Description
--- | ---
System.Int32* |

| Improve this Doc View Source

#### CustomRects

##### Declaration

    public ImVector CustomRects

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### Flags

##### Declaration

    public ImFontAtlasFlags Flags

##### Field Value

Type | Description
--- | ---
ImFontAtlasFlags |

| Improve this Doc View Source

#### Fonts

##### Declaration

    public ImVector Fonts

##### Field Value

Type | Description
--- | ---
ImVector |

| Improve this Doc View Source

#### Locked

##### Declaration

    public byte Locked

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### TexDesiredWidth

##### Declaration

    public int TexDesiredWidth

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TexGlyphPadding

##### Declaration

    public int TexGlyphPadding

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TexHeight

##### Declaration

    public int TexHeight

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TexID

##### Declaration

    public IntPtr TexID

##### Field Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### TexPixelsAlpha8

##### Declaration

    public byte *TexPixelsAlpha8

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### TexPixelsRGBA32

##### Declaration

    public uint *TexPixelsRGBA32

##### Field Value

Type | Description
--- | ---
System.UInt32* |

| Improve this Doc View Source

#### TexUvScale

##### Declaration

    public Vector2 TexUvScale

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### TexUvWhitePixel

##### Declaration

    public Vector2 TexUvWhitePixel

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### TexWidth

##### Declaration

    public int TexWidth

##### Field Value

Type | Description
--- | ---
System.Int32 |